Imperialism Remake Community

Issues with 0.1.x

Help with installation and running.

Issues with 0.1.x

Postby Trilarion » Wed Nov 07, 2012 11:03 am

You can report and discuss issues with versions 0.1.x here. Please always include your OS and JRE version.
User avatar
Trilarion
Founder
 
Posts: 664
Joined: Thu Jan 12, 2012 10:27 pm
Location: Central germany

Re: Issues with 0.1.x

Postby candyking » Wed Nov 21, 2012 8:10 pm

Hey Jan, check this out, I don't program java so I don't understand. Ubuntu 12.04 OpenJDK7. Thanks for creating this remake man!

java -jar imperialism-remake.jar
Exception in thread "main" java.lang.UnsupportedClassVersionError: org/iremake/client/StartClient : Unsupported major.minor version 51.0
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(ClassLoader.java:634)
at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
at java.net.URLClassLoader.defineClass(URLClassLoader.java:277)
at java.net.URLClassLoader.access$000(URLClassLoader.java:73)
at java.net.URLClassLoader$1.run(URLClassLoader.java:212)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(URLClassLoader.java:205)
at java.lang.ClassLoader.loadClass(ClassLoader.java:321)
at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:294)
at java.lang.ClassLoader.loadClass(ClassLoader.java:266)
Could not find the main class: org.iremake.client.StartClient. Program will exit.
candyking
 
Posts: 2
Joined: Wed Nov 21, 2012 7:57 pm

Re: Issues with 0.1.x

Postby Trilarion » Wed Nov 21, 2012 10:44 pm

Hi candyking,

First thanks for taking the time to report the error. Feedback is always welcome here.

Second, the error means that the OpenJDK7 version is not high enough. I have Ubuntu installed myself but didn't check until now. I don't like that the message are so cryptically. I will check Linux now more thoroughly.

Third, just out of curiosity: Where did you read my name? I haven't sent you an email, have I?
User avatar
Trilarion
Founder
 
Posts: 664
Joined: Thu Jan 12, 2012 10:27 pm
Location: Central germany

Postby Trilarion » Thu Nov 22, 2012 10:31 am

So I fired up Linux yesterday evening and found that version 0.1.0 starts under Ubuntu 12.10 and the newest OpenJDK7 (1.7.0_9 or so). However it doesn't really work since the windows aren't maximized. I will have to check again. Installing NetBeans was kind of difficult because it relied on the Sun JDK. Also I am not that firm with Linux.

In the next days I will certainly get more information. Until then you anyway should update your OpenJDK. If this isn't possible or doesn't help, you can still write here the output of "java -version" for your system.
User avatar
Trilarion
Founder
 
Posts: 664
Joined: Thu Jan 12, 2012 10:27 pm
Location: Central germany

Re: Issues with 0.1.x

Postby Dispatch » Mon May 20, 2013 12:06 pm

Hi,

FTY; the game doesn't start if pulseaudio isn't installed (Lubuntu), here is the stacktrace:

ImperialismRemake-0.1.3$ java -jar imperialism-remake.jar
May 20, 2013 11:55:34 AM org.iremake.client.StartClient setupLogger
INFO: Logger is setup
May 20, 2013 11:55:34 AM org.tools.sound.SoundSystem getLine
SEVERE: null
javax.sound.sampled.LineUnavailableException
at org.classpath.icedtea.pulseaudio.PulseAudioMixer.openImpl(PulseAudioMixer.java:714)
at org.classpath.icedtea.pulseaudio.PulseAudioMixer.openLocal(PulseAudioMixer.java:588)
at org.classpath.icedtea.pulseaudio.PulseAudioMixer.openLocal(PulseAudioMixer.java:584)
at org.classpath.icedtea.pulseaudio.PulseAudioMixer.open(PulseAudioMixer.java:579)
at org.classpath.icedtea.pulseaudio.PulseAudioDataLine.open(PulseAudioDataLine.java:94)
at org.classpath.icedtea.pulseaudio.PulseAudioSourceDataLine.open(PulseAudioSourceDataLine.java:75)
at org.classpath.icedtea.pulseaudio.PulseAudioDataLine.open(PulseAudioDataLine.java:290)
at org.classpath.icedtea.pulseaudio.PulseAudioSourceDataLine.open(PulseAudioSourceDataLine.java:51)
at org.tools.sound.SoundSystem.getLine(SoundSystem.java:72)
at org.iremake.client.sound.MusicManager.setup(MusicManager.java:52)
at org.iremake.client.StartClient.main(StartClient.java:89)

May 20, 2013 11:55:34 AM org.iremake.client.StartClient main
SEVERE: null
java.lang.NullPointerException
at org.tools.sound.StreamPlayer.create(StreamPlayer.java:87)
at org.iremake.client.sound.MusicManager.setup(MusicManager.java:53)
at org.iremake.client.StartClient.main(StartClient.java:89)
Dispatch
 

Re: Issues with 0.1.x

Postby Trilarion » Mon May 20, 2013 1:43 pm

Thank you very much for reporting the error. It means that the game must even check more carefully that resources are really there. It seem like there is a mixer but no available line. In the next version it will be fixed. Thank you again.
User avatar
Trilarion
Founder
 
Posts: 664
Joined: Thu Jan 12, 2012 10:27 pm
Location: Central germany

Re: Issues with 0.1.x

Postby Guest » Wed Jun 26, 2013 10:04 am

I'm on mac OS 10.8.4 and the game does not load, it tells me to check the terminal for error messages but it doesn't show any. Sorry i can't contribute by telling you exactly why it doesn't work
Guest
 

Re: Issues with 0.1.x

Postby Trilarion » Wed Jun 26, 2013 10:32 am

Thank you nevertheless. Unfortunately I cannot test the game on Mac. It might be something sound related or related to the availability of Java version 7 and higher. Additionally to the terminal there might also be a folder called "log" being created in the location from where you started. If it is and if you want, you could zip the content and attach it here. That could help me.
User avatar
Trilarion
Founder
 
Posts: 664
Joined: Thu Jan 12, 2012 10:27 pm
Location: Central germany

Re: Issues with 0.1.x

Postby Guest » Mon Jul 01, 2013 1:51 pm

after installing Java 7 u 25 (there was no way to check my version) the game opens, but I can't play. All the industry etc. dialogs are blank. Also I can't chose country (or anything) because all the interactive windows are blank. I can send you the screenshots if you want.
Guest
 

Re: Issues with 0.1.x

Postby Trilarion » Mon Jul 01, 2013 2:39 pm

Thank you but I don't need pictures because that's "okay". The game is still in an very early stage. Verion 0.1.x really means that there is not much to see and all you see is all there is. I am sorry and hope that within a year we can provide a playing experience. :)
User avatar
Trilarion
Founder
 
Posts: 664
Joined: Thu Jan 12, 2012 10:27 pm
Location: Central germany

Next

Return to Support

Who is online

Users browsing this forum: No registered users and 1 guest

cron